#################################################
#
#  (C) 2010-2011 Serghei Amelian
#  serghei (DOT) amelian (AT) gmail.com
#
#  Improvements and feedback are welcome
#
#  This file is released under GPL >= 2
#
#################################################

add_subdirectory( interfaces )
add_subdirectory( plugins )
add_subdirectory( tools )
add_subdirectory( data )
add_subdirectory( protocols )

add_definitions( ${KDE_PLUGIN} )

include_directories(
  ${CMAKE_CURRENT_BINARY_DIR}
  ${CMAKE_CURRENT_SOURCE_DIR}/interfaces
  ${CMAKE_SOURCE_DIR}/lib/interfaces
  ${CMAKE_SOURCE_DIR}/lib/util
  ${TDE_INCLUDE_DIR}
  ${TQT_INCLUDE_DIRS}
)

link_directories(
  ${TQT_LIBRARY_DIRS}
)


##### other data ################################

install( FILES kdevdocumentation.desktop DESTINATION ${SERVICES_INSTALL_DIR} )
install( FILES kdevpart_documentation.rc DESTINATION ${DATA_INSTALL_DIR}/kdevdocumentation )


##### libkdevdocumentation (module) #############

tde_add_kpart( libkdevdocumentation AUTOMOC
  SOURCES
    documentation_part.cpp documentation_widget.cpp
    contentsview.cpp indexview.cpp docglobalconfigwidgetbase.ui
    docglobalconfigwidget.cpp docconfiglistview.cpp
    editcatalogdlgbase.ui editcatalogdlg.cpp
    docutils.cpp searchview.cpp bookmarkview.cpp
    editbookmarkdlg.ui find_documentationbase.ui
    find_documentation.cpp find_documentation_optionsbase.ui
    find_documentation_options.cpp selecttopicbase.ui
    selecttopic.cpp docprojectconfigwidgetbase.ui
    docprojectconfigwidget.cpp KDevDocumentationIface.cpp
    KDevDocumentationIface.skel addcatalogdlgbase.ui
    addcatalogdlg.cpp
  LINK documentation_interfaces-shared tdevelop-shared tdehtml-shared
  DESTINATION ${PLUGIN_INSTALL_DIR}
)
